com.io7m.jcanephora.lwjgl3

## Class LWJGL3TypeConversions

- java.lang.Object
- - com.io7m.jcanephora.lwjgl3.LWJGL3TypeConversions

-     public final class LWJGL3TypeConversions
      extends Object

  Conversions between enumerations and OpenGL contstants.

  Note: This file is not part of the public API, but is exposed in order to facilitate easier unit testing.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLBlendEquation` | `blendEquationFromGL(int e)` Convert blend equations from GL constants.
    `static int` | `blendEquationToGL(JCGLBlendEquation e)` Convert blend equations to GL constants.
    `static JCGLBlendFunction` | `blendFunctionFromGL(int type)` Convert blend functions from GL constants.
    `static int` | `blendFunctionToGL(JCGLBlendFunction function)` Convert blend functions to GL constants.
    `static JCGLCubeMapFaceLH` | `cubeFaceFromGL(int face)` Convert faces from GL constants.
    `static int` | `cubeFaceToGL(JCGLCubeMapFaceLH face)` Convert cube map faces to GL constants.
    `static JCGLDepthFunction` | `depthFunctionFromGL(int d)` Convert depth functions from GL constants.
    `static int` | `depthFunctionToGL(JCGLDepthFunction d)` Convert depth functions to GL constants.
    `static JCGLFaceSelection` | `faceSelectionFromGL(int faces)` Convert face selections from GL constants.
    `static int` | `faceSelectionToGL(JCGLFaceSelection faces)` Convert faces to GL constants.
    `static JCGLFaceWindingOrder` | `faceWindingOrderFromGL(int f)` Convert winding orders to GL constants.
    `static int` | `faceWindingOrderToGL(JCGLFaceWindingOrder f)` Convert face winding orders to GL constants.
    `static JCGLFramebufferBlitBuffer` | `framebufferBlitBufferFromGL(int buffer)` Convert framebuffer blit buffers from GL constants.
    `static int` | `framebufferBlitBufferSetToMask(Set<JCGLFramebufferBlitBuffer> buffers)` Convert framebuffer blit buffers to GL constants.
    `static int` | `framebufferBlitBufferToGL(JCGLFramebufferBlitBuffer buffer)` Convert framebuffer blit buffers to GL constants.
    `static JCGLFramebufferBlitFilter` | `framebufferBlitFilterFromGL(int filter)` Convert framebuffer blit filter from GL constants.
    `static int` | `framebufferBlitFilterToGL(JCGLFramebufferBlitFilter filter)` Convert framebuffer blit filters to GL constants.
    `static JCGLFramebufferStatus` | `framebufferStatusFromGL(int status)` Convert framebuffer status from GL constants.
    `static int` | `framebufferStatusToGL(JCGLFramebufferStatus status)` Convert framebuffer status to GL constants.
    `static JCGLPixelFormat` | `pixelTypeFromGL(int e)` Convert pixel types from GL constants.
    `static int` | `pixelTypeToGL(JCGLPixelFormat p)` Convert pixel types to GL constants.
    `static JCGLPolygonMode` | `polygonModeFromGL(int g)` Convert polygon modes from GL constants.
    `static int` | `polygonModeToGL(JCGLPolygonMode g)` Convert polygon modes to GL constants.
    `static JCGLPrimitives` | `primitiveFromGL(int code)` Convert primitives from GL constants.
    `static int` | `primitiveToGL(JCGLPrimitives p)` Convert primitives to GL constants.
    `static JCGLScalarIntegralType` | `scalarIntegralTypeFromGL(int type)` Convert types from GL constants.
    `static int` | `scalarIntegralTypeToGL(JCGLScalarIntegralType type)` Convert types to GL constants.
    `static JCGLScalarType` | `scalarTypeFromGL(int type)` Convert types from GL constants.
    `static int` | `scalarTypeToGL(JCGLScalarType type)` Convert types to GL constants.
    `static JCGLStencilFunction` | `stencilFunctionFromGL(int function)` Convert stencil functions from GL constants.
    `static int` | `stencilFunctionToGL(JCGLStencilFunction function)` Convert stencil functions to GL constants.
    `static JCGLStencilOperation` | `stencilOperationFromGL(int op)` Convert stencil ops from GL constants.
    `static int` | `stencilOperationToGL(JCGLStencilOperation op)` Convert stencil ops to GL constants.
    `static JCGLTextureFilterMagnification` | `textureFilterMagFromGL(int mag_filter)` Convert filters from GL constants.
    `static int` | `textureFilterMagToGL(JCGLTextureFilterMagnification mag_filter)` Convert filters to GL constants.
    `static JCGLTextureFilterMinification` | `textureFilterMinFromGL(int min_filter)` Convert filters from GL constants.
    `static int` | `textureFilterMinToGL(JCGLTextureFilterMinification min_filter)` Convert filters to GL constants.
    `static JCGLTextureWrapR` | `textureWrapRFromGL(int wrap)` Convert wrapping modes from GL constants.
    `static int` | `textureWrapRToGL(JCGLTextureWrapR wrap)` Convert wrapping mode to GL constants.
    `static JCGLTextureWrapS` | `textureWrapSFromGL(int wrap)` Convert wrapping modes from GL constants.
    `static int` | `textureWrapSToGL(JCGLTextureWrapS wrap)` Convert wrapping mode to GL constants.
    `static JCGLTextureWrapT` | `textureWrapTFromGL(int wrap)` Convert wrapping modes from GL constants.
    `static int` | `textureWrapTToGL(JCGLTextureWrapT wrap)` Convert wrapping mode to GL constants.
    `static JCGLType` | `typeFromGL(int type)` Convert types from GL constants.
    `static int` | `typeToGL(JCGLType type)` Convert types to GL constants.
    `static JCGLUnsignedType` | `unsignedTypeFromGL(int type)` Convert types from GL constants.
    `static int` | `unsignedTypeToGL(JCGLUnsignedType type)` Convert types to GL constants.
    `static JCGLUsageHint` | `usageHintFromGL(int hint)` Convert hints from GL constants.
    `static int` | `usageHintToGL(JCGLUsageHint hint)` Convert hints to GL constants.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### blendFunctionFromGL

          public static JCGLBlendFunction blendFunctionFromGL(int type)

      Convert blend functions from GL constants.
      Parameters:
        `type` - The GL constant.
      Returns:
        The value.

    - #### blendFunctionToGL

          public static int blendFunctionToGL(JCGLBlendFunction function)

      Convert blend functions to GL constants.
      Parameters:
        `function` - The function
      Returns:
        The resulting GL constant

    - #### polygonModeFromGL

          public static JCGLPolygonMode polygonModeFromGL(int g)

      Convert polygon modes from GL constants.
      Parameters:
        `g` - The GL constant.
      Returns:
        The value.

    - #### polygonModeToGL

          public static int polygonModeToGL(JCGLPolygonMode g)

      Convert polygon modes to GL constants.
      Parameters:
        `g` - The mode.
      Returns:
        The resulting GL constant.

    - #### blendEquationFromGL

          public static JCGLBlendEquation blendEquationFromGL(int e)

      Convert blend equations from GL constants.
      Parameters:
        `e` - The GL constant
      Returns:
        The value

    - #### blendEquationToGL

          public static int blendEquationToGL(JCGLBlendEquation e)

      Convert blend equations to GL constants.
      Parameters:
        `e` - The equation.
      Returns:
        The resulting GL constant.

    - #### depthFunctionFromGL

          public static JCGLDepthFunction depthFunctionFromGL(int d)

      Convert depth functions from GL constants.
      Parameters:
        `d` - The GL constant.
      Returns:
        The value.

    - #### depthFunctionToGL

          public static int depthFunctionToGL(JCGLDepthFunction d)

      Convert depth functions to GL constants.
      Parameters:
        `d` - The function.
      Returns:
        The resulting GL constant.

    - #### unsignedTypeFromGL

          public static JCGLUnsignedType unsignedTypeFromGL(int type)

      Convert types from GL constants.
      Parameters:
        `type` - The GL constant.
      Returns:
        The value.

    - #### unsignedTypeToGL

          public static int unsignedTypeToGL(JCGLUnsignedType type)

      Convert types to GL constants.
      Parameters:
        `type` - The type.
      Returns:
        The resulting GL constant.

    - #### usageHintFromGL

          public static JCGLUsageHint usageHintFromGL(int hint)

      Convert hints from GL constants.
      Parameters:
        `hint` - The GL constant.
      Returns:
        The value.

    - #### usageHintToGL

          public static int usageHintToGL(JCGLUsageHint hint)

      Convert hints to GL constants.
      Parameters:
        `hint` - The hint.
      Returns:
        The resulting GL constant.

    - #### scalarTypeFromGL

          public static JCGLScalarType scalarTypeFromGL(int type)

      Convert types from GL constants.
      Parameters:
        `type` - The GL constant.
      Returns:
        The value.

    - #### scalarTypeToGL

          public static int scalarTypeToGL(JCGLScalarType type)

      Convert types to GL constants.
      Parameters:
        `type` - The type.
      Returns:
        The resulting GL constant.

    - #### scalarIntegralTypeToGL

          public static int scalarIntegralTypeToGL(JCGLScalarIntegralType type)

      Convert types to GL constants.
      Parameters:
        `type` - The type.
      Returns:
        The resulting GL constant.

    - #### scalarIntegralTypeFromGL

          public static JCGLScalarIntegralType scalarIntegralTypeFromGL(int type)

      Convert types from GL constants.
      Parameters:
        `type` - The GL constant.
      Returns:
        The value.

    - #### typeToGL

          public static int typeToGL(JCGLType type)

      Convert types to GL constants.
      Parameters:
        `type` - The type.
      Returns:
        The resulting GL constant.

    - #### typeFromGL

          public static JCGLType typeFromGL(int type)

      Convert types from GL constants.
      Parameters:
        `type` - The GL constant.
      Returns:
        The value.

    - #### primitiveFromGL

          public static JCGLPrimitives primitiveFromGL(int code)

      Convert primitives from GL constants.
      Parameters:
        `code` - The GL constant.
      Returns:
        The value.

    - #### primitiveToGL

          public static int primitiveToGL(JCGLPrimitives p)

      Convert primitives to GL constants.
      Parameters:
        `p` - The primitives.
      Returns:
        The resulting GL constant.

    - #### textureFilterMagFromGL

          public static JCGLTextureFilterMagnification textureFilterMagFromGL(int mag_filter)

      Convert filters from GL constants.
      Parameters:
        `mag_filter` - The GL constant.
      Returns:
        The value.

    - #### textureFilterMagToGL

          public static int textureFilterMagToGL(JCGLTextureFilterMagnification mag_filter)

      Convert filters to GL constants.
      Parameters:
        `mag_filter` - The filter.
      Returns:
        The resulting GL constant.

    - #### textureFilterMinFromGL

          public static JCGLTextureFilterMinification textureFilterMinFromGL(int min_filter)

      Convert filters from GL constants.
      Parameters:
        `min_filter` - The GL constant.
      Returns:
        The value.

    - #### textureFilterMinToGL

          public static int textureFilterMinToGL(JCGLTextureFilterMinification min_filter)

      Convert filters to GL constants.
      Parameters:
        `min_filter` - The filter.
      Returns:
        The resulting GL constant.

    - #### textureWrapRFromGL

          public static JCGLTextureWrapR textureWrapRFromGL(int wrap)

      Convert wrapping modes from GL constants.
      Parameters:
        `wrap` - The GL constant.
      Returns:
        The value.

    - #### textureWrapRToGL

          public static int textureWrapRToGL(JCGLTextureWrapR wrap)

      Convert wrapping mode to GL constants.
      Parameters:
        `wrap` - The mode.
      Returns:
        The resulting GL constant.

    - #### textureWrapSFromGL

          public static JCGLTextureWrapS textureWrapSFromGL(int wrap)

      Convert wrapping modes from GL constants.
      Parameters:
        `wrap` - The GL constant.
      Returns:
        The value.

    - #### textureWrapSToGL

          public static int textureWrapSToGL(JCGLTextureWrapS wrap)

      Convert wrapping mode to GL constants.
      Parameters:
        `wrap` - The mode.
      Returns:
        The resulting GL constant.

    - #### textureWrapTFromGL

          public static JCGLTextureWrapT textureWrapTFromGL(int wrap)

      Convert wrapping modes from GL constants.
      Parameters:
        `wrap` - The GL constant.
      Returns:
        The value.

    - #### textureWrapTToGL

          public static int textureWrapTToGL(JCGLTextureWrapT wrap)

      Convert wrapping mode to GL constants.
      Parameters:
        `wrap` - The mode.
      Returns:
        The resulting GL constant.

    - #### pixelTypeFromGL

          public static JCGLPixelFormat pixelTypeFromGL(int e)

      Convert pixel types from GL constants.
      Parameters:
        `e` - The GL constant.
      Returns:
        The value.

    - #### pixelTypeToGL

          public static int pixelTypeToGL(JCGLPixelFormat p)

      Convert pixel types to GL constants.
      Parameters:
        `p` - The pixel type.
      Returns:
        The resulting GL constant.

    - #### framebufferBlitBufferFromGL

          public static JCGLFramebufferBlitBuffer framebufferBlitBufferFromGL(int buffer)

      Convert framebuffer blit buffers from GL constants.
      Parameters:
        `buffer` - The GL constant.
      Returns:
        The value.

    - #### framebufferBlitBufferSetToMask

          public static int framebufferBlitBufferSetToMask(Set<JCGLFramebufferBlitBuffer> buffers)

      Convert framebuffer blit buffers to GL constants.
      Parameters:
        `buffers` - The buffers.
      Returns:
        The resulting GL constant.

    - #### framebufferBlitBufferToGL

          public static int framebufferBlitBufferToGL(JCGLFramebufferBlitBuffer buffer)

      Convert framebuffer blit buffers to GL constants.
      Parameters:
        `buffer` - The buffer.
      Returns:
        The GL constant.

    - #### framebufferBlitFilterFromGL

          public static JCGLFramebufferBlitFilter framebufferBlitFilterFromGL(int filter)

      Convert framebuffer blit filter from GL constants.
      Parameters:
        `filter` - The GL constant.
      Returns:
        The value.

    - #### framebufferBlitFilterToGL

          public static int framebufferBlitFilterToGL(JCGLFramebufferBlitFilter filter)

      Convert framebuffer blit filters to GL constants.
      Parameters:
        `filter` - The filters.
      Returns:
        The resulting GL constant.

    - #### framebufferStatusFromGL

          public static JCGLFramebufferStatus framebufferStatusFromGL(int status)

      Convert framebuffer status from GL constants.
      Parameters:
        `status` - The GL constant.
      Returns:
        The value.

    - #### framebufferStatusToGL

          public static int framebufferStatusToGL(JCGLFramebufferStatus status)

      Convert framebuffer status to GL constants.
      Parameters:
        `status` - The status.
      Returns:
        The resulting GL constant.

    - #### faceSelectionFromGL

          public static JCGLFaceSelection faceSelectionFromGL(int faces)

      Convert face selections from GL constants.
      Parameters:
        `faces` - The GL constant.
      Returns:
        The value.

    - #### faceSelectionToGL

          public static int faceSelectionToGL(JCGLFaceSelection faces)

      Convert faces to GL constants.
      Parameters:
        `faces` - The faces.
      Returns:
        The resulting GL constant.

    - #### faceWindingOrderFromGL

          public static JCGLFaceWindingOrder faceWindingOrderFromGL(int f)

      Convert winding orders to GL constants.
      Parameters:
        `f` - The order.
      Returns:
        The resulting GL constant.

    - #### faceWindingOrderToGL

          public static int faceWindingOrderToGL(JCGLFaceWindingOrder f)

      Convert face winding orders to GL constants.
      Parameters:
        `f` - The face winding order.
      Returns:
        The resulting GL constant.

    - #### stencilFunctionToGL

          public static int stencilFunctionToGL(JCGLStencilFunction function)

      Convert stencil functions to GL constants.
      Parameters:
        `function` - The function.
      Returns:
        The resulting GL constant.

    - #### stencilFunctionFromGL

          public static JCGLStencilFunction stencilFunctionFromGL(int function)

      Convert stencil functions from GL constants.
      Parameters:
        `function` - The GL constant
      Returns:
        The resulting function

    - #### stencilOperationToGL

          public static int stencilOperationToGL(JCGLStencilOperation op)

      Convert stencil ops to GL constants.
      Parameters:
        `op` - The op.
      Returns:
        The resulting GL constant.

    - #### stencilOperationFromGL

          public static JCGLStencilOperation stencilOperationFromGL(int op)

      Convert stencil ops from GL constants.
      Parameters:
        `op` - The GL constant
      Returns:
        The resulting operation

    - #### cubeFaceFromGL

          public static JCGLCubeMapFaceLH cubeFaceFromGL(int face)

      Convert faces from GL constants.
      Parameters:
        `face` - The GL constant.
      Returns:
        The value.

    - #### cubeFaceToGL

          public static int cubeFaceToGL(JCGLCubeMapFaceLH face)

      Convert cube map faces to GL constants.
      Parameters:
        `face` - The face.
      Returns:
        The resulting GL constant.

Copyright © 2016 <code@io7m.com> http://io7m.com